void main()
{
  playsound(54, 33300, 0, &current_sprite, 1)
  // Pitch it down to make it more monky
  say("`1Ayoyoyo!", &current_sprite)
}

void talk()
{
  freeze(1)
  say_stop("`1I have a sound attached", &current_sprite)
  wait(200)
  say_stop("`1If you walk around me...", &current_sprite)
  wait(200)
  say_stop("`1You should hear 3D audio", &current_sprite)
  unfreeze(1)
}

void hit()
{
  kill_all_sounds();
  say("`1Wololo!", &current_sprite)
  playsound(56, 0, 1000, 0, 0)
}
